Raíz SMT del indexador
Raíz SMT sincronizada más reciente del indexador
Recupera la última raíz SMT procesada actual del nodo del indexador de resolución ZCashNames.
Punto final
GET https://indexer.zcashnames.co/v1.0/getRoot
Este punto final no requiere ningún parámetro de ruta ni un cuerpo de solicitud.
Ejemplos de código
- cURL
- JavaScript
- Python
- PHP
curl -X GET https://indexer.zcashnames.co/v1.0/getRoot
const url = 'https://indexer.zcashnames.co/v1.0/getRoot';
fetch(url, {
method: 'GET'
})
.then(response => response.json())
.then(result => console.log(result))
.catch(error => console.error('Error:', error));
import requests
url = "https://indexer.zcashnames.co/v1.0/getRoot"
response = requests.get(url)
print(response.json())
<?php
$url = 'https://indexer.zcashnames.co/v1.0/getRoot';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json'
]);
$response = curl_exec($ch);
curl_close($ch);
$result = json_decode($response, true);
print_r($result);
Ejemplo de respuesta
{
"response": "1c3ba6eb818b93823d635b7d6737377693796312a1abd2d3b863da5d455df128"
}